"use client";
'use strict';

const jsxRuntime = require('react/jsx-runtime');
const utils = require('../lib/utils.cjs');

function PageLayout({
  children,
  className,
  "data-testid": dataTestId
}) {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "div",
    {
      className: utils.cn(
        "container mx-auto flex min-h-dvh flex-col items-center gap-12 px-4 py-18 lg:px-16",
        className
      ),
      "data-testid": dataTestId,
      children
    }
  );
}

exports.PageLayout = PageLayout;
